﻿@using StarterProjectV2.Models
@*@model StarterProjectV2.ViewModels.AdditionalFamilyView*@
@model StarterProjectV2.ViewModels.OwnersInfoFamilyNomineeAttFilesView

@{
    ViewBag.Title = "Project Create";
}

@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
}
@section PAGETITLE{
    Attachment Create
}
<body style="background-color: oldlace">
<div class="card">
    <div class="card-body" id="class-body-project">
        <h1 class="text-center" style="color: indianred">Owner's Attachment Information Form</h1>
        <p class="text-muted"></p>
        <form>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner NID</label>
                <div class="container1">
                    @{
                        var time1 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    <img id="NID-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />
                    <div><input id="upload-file-attachment-NID" type="file" required="required" /></div>
                </div>
            </div>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner TIN</label>
                <div class="container1">
                    @{
                        var time2 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    <img id="TIN-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />
                    <div><input id="upload-file-attachment-TIN" type="file" required /></div>
                </div>
            </div>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Passport</label>
                <div class="container1">
                    @{
                        var time3 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    <img id="passport-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />
                    <div>
                        <input id="upload-file-attachment-Passport" type="file" />
                    </div>
                </div>
            </div>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Driving License</label>
                <div class="container1">
                    @{
                        var time4 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    <img id="driving-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />
                    <div>
                        <input id="upload-file-attachment-DrivingLicense" type="file" />
                    </div>
                </div>
            </div>
            <div class="form-group row mb-5">
                <label class="col-sm-3 col-lg-2 col-md-3 col-form-label">Owner Utility Bill</label>
                <div class="container1">
                    @{
                        var time5 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                    }
                    <img id="utility-pic" class="" width="128" height="128" src="~/Content/attachments/base.jpg" alt="base file" />
                    <div>
                        <input id="upload-file-attachment-Utility" type="file" />
                    </div>
                </div>
            </div>
            @*@Html.HiddenFor(m => m.OwnersAttachmentId)
                @Html.HiddenFor(m => m.OAOwnerId)*@

            <div class="row">
                <div>
                    <button type="submit" class="btn btn-primary m-1 submit" onClick="FullSubmitAttachment()">Submit</button>
                </div>
                <div>
                    <button type="button" class="btn btn-danger m-1">Reset</button>
                </div>
                <div>
                    <button type="button" class="btn btn-warning m-1" onclick="goBack()">Back</button>
                </div>
                <div>
                    <button type="button" class="btn btn-info m-1" onclick="gotoOwnerManagement()">Skip</button>
                </div>
            </div>
        </form>
    </div>
</div>
</body>
<script>
    function goBack() {
        window.location.href = "/AdditionalInformation/NomineeCreate?OwnerId=" + '@Model.OAOwnerId';
    }
</script>
<script>
    function gotoOwnerManagement() {
        window.location.href = "/OwnersInfo/OwnerManagement";
    }
</script>
<script>

    $('#upload-file-attachment-NID').change(function (e) {

        var filenameAttNID = $('#upload-file-attachment-NID')[0].files[0].name;
        var filetypeAttNID = $("#upload-file-attachment-NID")[0].files[0].type;
        var filesizeAttNID = $("#upload-file-attachment-NID")[0].files[0].size;
        $("#upload-file-attachment-NID-label").text(filenameAttNID);
    });
</script>
<script>

    $('#upload-file-attachment-TIN').change(function (e) {

        var filenameAttTIN = $('#upload-file-attachment-TIN')[0].files[0].name;
        var filetypeAttTIN = $("#upload-file-attachment-TIN")[0].files[0].type;
        var filesizeAttTIN = $("#upload-file-attachment-TIN")[0].files[0].size;
        $("#upload-file-attachment-TIN-label").text(filenameAttTIN);
    });
</script>
<script>

    $('#upload-file-attachment-Passport').change(function (e) {

        var filenameAttPassport = $('#upload-file-attachment-Passport')[0].files[0].name;
        var filetypeAttPassport = $('#upload-file-attachment-Passport')[0].files[0].type;
        var filesizeAttPassport = $('#upload-file-attachment-Passport')[0].files[0].size;
        $("#upload-file-attachment-Passport-label").text(filenameAttPassport);
    });
</script>
<script>

    $('#upload-file-attachment-DrivingLicense').change(function (e) {

        var filenameDrivingLicense = $('#upload-file-attachment-DrivingLicense')[0].files[0].name;
        var filetypeAttDrivingLicense = $("#upload-file-attachment-DrivingLicense")[0].files[0].type;
        var filesizeAttDrivingLicense = $("#upload-file-attachment-DrivingLicense")[0].files[0].size;
        $("#upload-file-attachment-DrivingLicense-label").text(filenameDrivingLicense);
    });
</script>
<script>

    $('#upload-file-attachment-Utility').change(function (e) {

        var filenameAttUtility = $('#upload-file-attachment-Utility')[0].files[0].name;
        var filetypeAttUtility = $("#upload-file-attachment-Utility")[0].files[0].type;
        var filesizeAttUtility = $("#upload-file-attachment-Utility")[0].files[0].size;
        $("#upload-file-attachment-Utility-label").text(filenameAttUtility);
    });
</script>
<script>
    function UploadAttachmentNID() {
        var ownerId = '@Model.OAOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-NID');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OANID_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentTIN() {
        var ownerId = '@Model.OAOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-TIN');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OATIN_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentPassport() {
        var ownerId = '@Model.OAOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-Passport');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OAPassport_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentDrivingLicense() {
        var ownerId = '@Model.OAOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-DrivingLicense');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OADrivingLicense_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function UploadAttachmentUtility() {
        var ownerId = '@Model.OAOwnerId';
        //alert(ownerId);
        var formdata = new FormData(); //FormData object
        var fileInput = document.getElementById('upload-file-attachment-Utility');
        //Iterating through each files selected in fileInput
        for (i = 0; i < fileInput.files.length; i++) {
            fileInput.files[i].name = ownerId;
        }
        for (i = 0; i < fileInput.files.length; i++) {
            //Appending each file to FormData object
            formdata.append(fileInput.files[i].name, fileInput.files[i], "OAUtility_" + ownerId + ".jpg");
        }
        //Creating an XMLHttpRequest and sending
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '../AdditionalInformation/UploadAttachment/');
        xhr.send(formdata);
        xhr.onreadystatechange = function () {
            if (xhr.readyState == 4 && xhr.status == 200) {
                //alert(xhr.responseText);
            }
        }
        return false;
    }
</script>
<script>
    function RetreiveAttachments() {

        var ownerId = '@Model.OAOwnerId';
        var OANIDPath = '~/Content/attachments/' + "OANID_" + ownerId + ".jpg";
        var OATINPath = '~/Content/attachments/' + "OATIN_" + ownerId + ".jpg";
        var OAPassportPath = '~/Content/attachments/' + "OAPassport_" + ownerId + ".jpg";
        var OAUtilityPath = '~/Content/attachments/'+ "OAUtility_" + ownerId + ".jpg";
        var OADrivingLicensePath = '~/Content/attachments/' + "OADrivingLicense_" + ownerId + ".jpg";

        var myModel = {
            OwnerNID: OANIDPath,
            OwnerTIN: OATINPath,
            OwnerPassport: OAPassportPath,
            OwnerUtilityBill: OAUtilityPath,
            OwnerDrivingLicense: OADrivingLicensePath,
            OwnerId: ownerId
        };

        $.ajax({
            context: this,
            type: 'post',
            url: '../AdditionalInformation/gettingOwnerAttachmentInfo/',
            data: myModel,
            success: function (result) {
                //alert("In success of attachment");
                window.location.href = "/OwnersInfo/OwnerManagement";
            },
            error: function () {
                //error();
            }
        });
    }

</script>
<script>
    function FullSubmitAttachment() {
        UploadAttachmentNID();
        UploadAttachmentTIN();
        UploadAttachmentUtility();
        UploadAttachmentDrivingLicense();
        UploadAttachmentPassport();
        RetreiveAttachments();
        //var ownerId = '@Model.OAOwnerId';
        //alert("Ret");
    }
</script>




<script>
    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-NID"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#NID-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>
    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-TIN"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#TIN-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>
    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-Passport"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#passport-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>
    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-DrivingLicense"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#driving-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>
<script>
    window.addEventListener('load', function () {
        document.querySelector('input[id="upload-file-attachment-Utility"]').addEventListener('change', function () {
            if (this.files && this.files[0]) {
                //alert("here");
                var img = $('#utility-pic')[0];  // $('img')[0]
                img.src = URL.createObjectURL(this.files[0]); // set src to file url
                img.onload = imageIsLoaded; // optional onload event listener
            }
        });

    });
</script>